%define   branch 3.1
%define   int_ver 2.5.r.1
%define   pname Sankore
%define   destdir %{_datadir}/%{name}
Name:     sankore
Version:  %{branch}.%{int_ver}
Release:  %mkrel 4
Summary:  The open-source software suite for digital teachers
Summary(de): Die Open Source Softwaresuite für digitale Lehrer.
License:  GPLv3+ or LGPLv3+
Group:    Education
URL:      https://github.com/Sankore/
Source0:  https://github.com/Sankore/archive/Sankore-%{branch}-%{int_ver}.tar.xz
Patch0:   Sankore_3.1.pro.patch
Patch1:   gethostbyname.patch
Patch2:   Sankore-3.1-phonon-include-file.patch
Patch3:   poppler.patch
Patch4:	  sankore-poppler-0.58.0.patch
#--------------------------------------------------
BuildRequires: desktop-file-utils
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}poppler-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}qtsingleapplication-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: libgomp-devel
BuildRequires: multiarch-utils
BuildRequires: phonon-devel
BuildRequires: pkgconfig
BuildRequires: quazip-devel
BuildRequires: zlib1-devel
BuildRequires: %{_lib}qtwebkit4-devel
#--------------------------------------------------
Requires:         qt4-accessibility-plugin
Requires:         qt4-qmlviewer
Requires:         phonon-designer-plugin
Requires:         qt4-designer-plugin-qt3support
Requires:         qt4-designer-plugin-webkit
Requires:         qt4-graphicssystems-plugin
Requires:         %{_lib}qtsvg4
Requires:         %{_lib}qtgui4
Requires:         phonon-gstreamer
Requires:         %{_lib}qtscript4
Requires:         appmenu-qt
Requires:         qt4-qmlviewer
Requires:         qt4-database-plugin-sqlite


%description
%{name} can be considered as three integrated functions in one outstanding tool:
- uniboard universal interactive white board software
- the sankore teaching designer
- the sankore editor

%description -l de
%{name} kann als drei integrierte Funktionen in einem außergewöhnlichen Werkzeug 
betrachtet werden:
- uniboard eine universelle interaktive White-Board-Software
- der Sankore Unterrichtsdesigner
- der Sankore-Editor


%prep
%setup -q -n %{pname}-%{branch}-%{int_ver}
%apply_patches

%build
%{qmake_qt4} PREFIX=%{destdir} DESTDIR=%{destdir}
%_qt4_bindir/lrelease Sankore_3.1.pro
%make

%install
rm -rf %buildroot
%make INSTALL="install -p" release-install

mkdir -p %{buildroot}%{_datadir}/icons/

#missed icon, taking one
install -D -m 0644 resources/images/uniboard.png %{buildroot}%{_datadir}/icons/%{name}.png

#missed desktop file, writing one
cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=Sankore
GenericName=The open-source software suite for digital teachers
GenericName[de]=Die Open Source Softwaresuite für digitale Lehrer
GenericName[ru]=Цифровые технологии для учителей
Comment=Software to create presentations for interactive whiteboard (TNI)
Comment[de]=Software zum Erstellen von Präsentationen für interaktie Whiteboards (TNI)
Comment[fr]=Logiciel de création de présentations pour tableau numérique interactif (TNI)
Comment[ru]=Программное обеспечение для создания презентаций для интерактивной доски
Exec=%{destdir}/Open-Sankore
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Education
EOF

desktop-file-install --mode=0644 --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

mkdir -p %{buildroot}/%_bindir/
cat > %{buildroot}/%_bindir/%{name} <<EOF
#!/bin/sh
%{destdir}/Open-Sankore

EOF

chmod 755 %{buildroot}/%_bindir/%{name}
mkdir -p %{buildroot}/%{destdir}/i18n
cp -R resources/customizations %{buildroot}/%{destdir}
cp -R resources/i18n/*.qm %{buildroot}/%{destdir}/i18n

cp -r build/linux/release/product/* %{buildroot}/%{destdir}

%files
%defattr(-,root,root)
%doc ChangeLog.html README.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/%{name}.png
%{destdir}


%changelog
* Sat Nov 25 2017 ghostbunny <ghostbunny at gmx dot de> 3.1.2.5.r.1-4pclos2017
- rebuild against new poppler 0.61.1

* Sat Sep 30 2017 ghostbunny <ghostbunny at gmx dot de> 3.1.2.5.r.1-3pclos2017
- rebuild against new poppler version

* Tue Mar 14 2017 bb2 <bb2> - 3.1.2.4.r.1-2pclos2017
- rebuild new poppler

* Sat Aug 29 2015 ghostbunny <ghostbunny at gmx dot de> 3.1.2.5.r.1-1pclos2015
- 3.1.2.5.r.1 and rebuild against new poppler version
- add missing BR libtwebkit4-devel
- add German translations

* Sat Jan 03 2015 bb <bb> 2.1.2.5.r.0-2pclos2015
- fix specfile

* Sat Dec 13 2014 gseaman <galen.seaman at comcast.net> 3.1.2.5.r.0-1gseaman2014
- build from Mageia spec
